* Module ctdam.h  V012AM02 === 100490
 *
 *    PROPRIETARY PROGRAM MATERIAL
 * REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
 * OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
 * COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
 * COPYRIGHT (C) 1987 UNISYS CORPORATION
*

*
 * 100490 012A02 R. Stella  UCF16432156 Corrected WriteDaRecord prototype.
* 

if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

ErcType	CloseDaFile plm far(void *far pDAWA);
ErcType	DeleteDaRecord plm far(void *far pDAWA, unsigned long qiRecord);
ErcType	OpenDaFile plm far(void *far pDAWA, char *far pbFilespec, 
		int cbFilespec, char *far pbPassword, int cbPassword,
		int mode, void *far pBuffer, int sBuffer, int sRecord);
ErcType	QueryDaLastRecord plm far(void *far pDAWA, 
		unsigned long *far pqiRecordRet);
ErcType	QueryDaRecordStatus plm far(void *far pDAWA,
		unsigned long qiRecord, int *far pStatusRet);
ErcType	ReadDaFragment plm far(void *far pDAWA, unsigned long qiRecord,
		void *far pFragmentRet, unsigned rbFragment, int cbFragment);
ErcType	ReadDaRecord plm far(void *far pDAWA, unsigned long qiRecord,
		void *far pRecordRet);
ErcType	SetDaBufferMode plm far(void *far pDAWA, int mode);
ErcType	TruncateDaFile plm far(void *far pDAWA, unsigned long qiRecord);
ErcType	WriteDaFragment plm far(void *far pDAWA, unsigned long qiRecord,
		void *far pFragment, unsigned rbFragment, int cbFragment);
ErcType	WriteDaRecord plm far(void *far pDAWA, unsigned long qiRecord,
		void *far pRecord);
